%define anolis_release 1

Name:           libao
Version:        1.2.0
Release:        %{anolis_release}%{?dist}
Summary:        Cross Platform Audio Output Library
License:        GPLv2+
URL:            http://xiph.org/ao/
Source0:        http://downloads.xiph.org/releases/ao/%{name}-%{version}.tar.gz
Patch1:         0001-ao_pulse.c-fix-latency-calculation.patch
Patch2:         d5221655dfd1a2156aa6be83b5aadea7c1e0f5bd.diff
Patch3:         libao-nanosleep.patch
BuildRequires:  gcc
BuildRequires:  alsa-lib-devel
BuildRequires:  pkgconfig(libpulse)
BuildRequires: make

%description
Libao is a cross-platform audio library that allows programs to output audio
using a simple API on a wide variety of platforms.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1
sed -i "s/-O20 -ffast-math//" configure


%build
%configure
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
%make_install INSTALL="install -p"
# remove unpackaged files from the buildroot
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}*
%generate_compatibility_deps

%files
%license COPYING
%{_libdir}/libao.so.*
%{_libdir}/ao
%{_mandir}/man5/*
%dir %{abidir}
%{abidir}/libalsa.dump
%{abidir}/libao.dump
%{abidir}/liboss.dump
%{abidir}/libpulse.dump

%files devel
%doc doc/*.html doc/*.c doc/*.css
%{_includedir}/ao
%{_libdir}/ckport
%{_libdir}/libao.so
%{_libdir}/pkgconfig/ao.pc
%{_datadir}/aclocal/ao.m4

%files doc
%doc AUTHORS CHANGES README

%changelog
* Fri Mar 24 2023 happy_orange <songnannan@linux.alibaba.com> - 1.2.0-1
- init package from upstream
